Support » Theme: Storefront » Update Theme

  • Hi,

    How to update Storefront?

    I’ve made all customization over a year ago.

    Just today I created a child theme, but I think it is useless now as all customization were already done on the parent theme.

    Is there a way to update your theme?

    I’m getting this message: “Please note – the new WooCommerce version 2.7 will be soon released. Before proceeding with the update, please verify the plugins you are using are already compatible. You can check the compatibility status of YITH products HERE.”

    Unfortunately, storefront is not contained in list.

    really confused and don’t know what to do.

    Any advice?

    Thanks

Viewing 4 replies - 1 through 4 (of 4 total)
  • Edward,

    Sorry to hijack this but it’s the only result in Google.

    Any idea what file has this notice, “Please note – the new WooCommerce version 2.7 will be soon released. Before proceeding with the update, please verify the plugins you are using are already compatible. You can check the compatibility status of YITH products HERE.”? It’s very annoying and I am having a function to disable it but need the name of the filter causing this notice to appear in the first place.

    Thanks,
    Hossam

    Hi,

    As you are finding out now, customizing a parent theme is always a bad idea.

    The only way to update Storefront without losing all your customizations, is to remove them form the parent theme’s files into your child theme’s style.css or functions.php ( dont know what kind of customizations you have done so far).

    Before you do that, make sure you have a solid backup of your site. ( I myself like All in one Migration plugin ) so you can roll back if things go bad in the process.

    Better yet, create a backup and migrate this as a copy to a test folder on your domain. This way your site stays intact and you can work all of it out in the test folder.

    If that is done, migrate the re-organised test site over the live site and you are good to go!

    I suppose that frustrating message will disapear as soon as all plugins and themes are updated. To test if things are compatible, test it first in the test site, if all is well, do it in the live site.

    Hope this helps,
    Annie

    • This reply was modified 2 years, 7 months ago by  LogoLogics.

    HossamHossny,

    This notice comes from Woocommerce no doubt, because its an anouncement about their plugin Woocommerce.

    You can read about it here:
    https://woocommerce.wordpress.com/2017/03/13/important-update-regarding-the-upcoming-woocommerce-release-2-7-will-be-3-0-0/

    This notice will probably disappear as soon as you updated to woocommerce 2.7.( We’re re-versioning WooCommerce 2.7 as WooCommerce 3.0.0, and releasing this on 4th April 2017. )
    My advice is the same as I gave earlier to Edward.

    Do the updates in a test folder to make sure there are no issues. If so, solve them and after that migrate to your live site.

    Annie

    • This reply was modified 2 years, 7 months ago by  LogoLogics.

    Appreciate the response. However, the notices comes from YITH customize my account plugin. Without playing with themes files, we can simply make a mu-plugins folder and have our functions file there. I added this code to disable the notice.

    // Remove WooCommerce updater plugin notice
    function yit_fw_wc_update_message() {
    	remove_action( 'admin_notices', 'yit_fw_wc_update_message' );
    }
    add_action( 'admin_head', 'yit_fw_wc_update_message' );
Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘Update Theme’ is closed to new replies.